---
title: "Horny Oil"
date: 2020-11-05T07:50:00+02:00
draft: false
---

1. Get oil (make some by mixing lube and water if needed)
2. lie down on a towel
3. Cover yourself with it (chest, dick, ass,...)
4. "Massage" your body with both hands for 7 minutes
5. Get a vibrator and use it on you (turn it on with a high profile), continue to massage with both hands for another 7 minutes

- make sure to always be as covered in oil as possible
- recommended to be done before showering, unless you like making a mess